Get the build jobs of a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/build-jobs

Get the build jobs of the playlists of a project. Synchronization tools use this route. You must be an administrator.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

Responses

  • 200 application/json

    The list of build jobs

    Hide response attributes Show response attributes object
    • id string(uuid)

      Build job unique identifier

    • status string

      Build job status

    • created_at string(date-time)

      Build job creation timestamp

  • 403

    You are not an administrator

  • 404

    The project does not exist

GET /data/projects/{project_id}/build-jobs
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/build-jobs" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/build-jobs"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "status": "succeeded",
    "created_at": "2022-07-12T10:30:00Z"
  }
]